PKCS1v15 Struct Reference

PKCS #1 version 1.5, for use with RSAES and RSASS. More...

`#include <pkcspad.h>`

Inheritance diagram for PKCS1v15:

## Public Types

typedef PKCS_EncryptionPaddingScheme | EncryptionMessageEncodingMethod
typedef PKCS1v15_SignatureMessageEncodingMethod | SignatureMessageEncodingMethod

## Detailed Description

PKCS #1 version 1.5, for use with RSAES and RSASS.

Only the following hash functions are supported by this signature standard:

// PKCS_DigestDecoration can be instantiated with the following
// classes as specified in PKCS#1 v2.0 and P1363a
class SHA1;
class RIPEMD160;
class Tiger;
class SHA224;
class SHA256;
class SHA384;
class SHA512;
namespace Weak1 {
class MD2;
class MD5;
}
// end of list

Definition at line 86 of file pkcspad.h.

The documentation for this struct was generated from the following file:

- pkcspad.h